:root {
    --bordes: 20px;
    --color-crema: #FCF5EE;
    --color-naranja: #DB8235;
    --color-guinda: #1f0808;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

main {
    margin-top: 6rem!important;
}

.texto-titulo {
    font-size: clamp(38px, 5vw, 54px);
    color: var(--color-naranja);
    font-family: "Calistoga", serif, Arial, Helvetica, sans-serif;
}

.texto-subtitulo {
    font-size: clamp(28px, 5vw, 30px);
    margin-bottom: 20px;
    font-family: "Calistoga", serif, Arial, Helvetica, sans-serif;
}

.texto-destacado {
    font-size: clamp(17px, 1vw, 24px);
    margin: 0;
    font-family: "Mulish", serif, Arial, Helvetica, sans-serif;
}

.texto-parrafo {
    font-size: clamp(15px, 1vw, 16px);
    margin: 0;
    word-wrap: break-word;
    font-family: "Mulish", serif, Arial, Helvetica, sans-serif;
}

.badge {
    background-color: var(--color-naranja) !important;
    color: white !important;
    font-weight: 400 !important;
    font-size: 14px !important;
}

.separador {
    height: 90px;
}

@media (max-width: 767px) {
    .separador {
        height: 35px;
    }
}


/* INICIO ICONOS */
i:not(.nav-i, .footer-i, .carousel-i) {
    width: 48px;
    height: 48px;
    font-size: 18px;
    margin: 9px 9px 9px 0;
    border: 1px solid var(--color-naranja);
    color: var(--color-guinda);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.nav-i, .carousel-i {
    font-size: 20px;
    margin: 5px;
}

.nav-i {
    color: var(--color-guinda);
    transition: transform 0.3s ease-in-out;
}

.footer-i {
    color: white;
    font-size: 15px;
    margin: 5px;
}

.carousel-i {
    color: var(--color-naranja);
    transition: transform 0.3s ease-in-out;
}

.nav-i:hover, .carousel-i:hover {
    transform: scale(1.2);
}
/* FIN ICONOS */


/* SCROLL-BAR */
::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-track {
    background: white;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: #c5c5c5;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: #929292;
}
/* FIN SCROLL-BAR */


/* INICIO NAVBAR */
header {
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    background-color: white;
    z-index: 1000;
}

.navbar-toggler {
    border: 0 !important;
}

.navbar-toggler:focus {
    box-shadow: none !important;
}

.navbar-collapse {
    justify-content: end;
}

.toggler-icon {
    display: block;
    width: 30px;
    height: 3px;
    margin: 5px auto;
    background-color: #333;
    transition: all 0.3s ease-in-out;
    border-radius: 3px;
}

.navbar-toggler.active .toggler-icon:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.navbar-toggler.active .toggler-icon:nth-child(2) {
    opacity: 0;
}

.navbar-toggler.active .toggler-icon:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

.desktop-only {
    display: block;
}

.mobile-only {
    display: none;
}

.toggler-icon {
    background-color: var(--color-guinda);
}

@media (max-width: 991px) {
    .desktop-only {
        display: none;
    }

    .mobile-only {
        display: block;
    }
}
/* FIN NAVBAR */


/* INICIO HERO */
.divider {
    width: 2px;
    height: 50px;
    background-color: white;
    margin: 0 auto;
    transition: transform 0.5s ease-in-out;
}

hr {
    border: 0px solid gray !important;
    opacity: 1 !important;
}

.hero-card {
    border-radius: var(--bordes);
    background-color: var(--color-guinda);
    color: white;
}

.hero-img {
    border-radius: var(--bordes);
    margin-left: 45px;
}

.hero-img > img {
    height: 62vh;
}

.hero-stamp-img {
    width: 120px;
    position: absolute;
}

.hero-stamp-img div {
    height: 120px;
    width: 120px;
    object-fit: cover;
}

.hero-stamp-img img {
    border-radius: 100%;
    height: 120px;
    width: 120px;
}

@media (max-width: 767px) {
    .divider {
        margin: -34px;
        transform: rotate(90deg);
    }
    .hero-stamp-img {
        width: 260px;
        position: absolute;
        margin-left: 8vw;
    }
    .hero-img {
        margin-top: 50px;
        margin-left: 0px;
    }
}
/* FIN HERO */


/* INICIO WHO WE ARE */
.whoWeAre-quote {
    height: 100%;
    border-radius: var(--bordes);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 90%;
    background-color: var(--color-naranja);
    color: white;
}

.whoWeAre-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: var(--color-crema);
    border-radius: var(--bordes);
}

@media (max-width: 767px) {
    .whoWeAre-quote {
        width: 100%;
    }
}
/* FIN WHO WE ARE */


/* INICIO OUR SERVICES */
.ourServices-img {
    border-radius: var(--bordes);
}

.ourServices-img img {
    object-position: left;
}
/* FIN OUR SERVICES */


/* INICIO WHY US */
.whyUs-text {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    position: relative;
    border-radius: var(--bordes);
    min-height: 24vh;
    overflow: hidden;
    background-size: cover;
    background-position: center;
    color: white;
}

.whyUs-text::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, #d45d0d3a, rgba(85, 37, 3, 0.788)); 
    border-radius: inherit;
}

.whyUs-text > p {
    position: relative;
    margin-bottom: 15px;
    z-index: 2;
}

.card-1 { background-image: url('/assets/img/why-us/img1.jpeg'); }
.card-2 { background-image: url('/assets/img/why-us/img2.jpeg'); }
.card-3 { background-image: url('/assets/img/why-us/img3.jpeg'); }
.card-4 { background-image: url('/assets/img/why-us/img4.jpeg'); }
/* FIN WHY US */


/* INICIO GALLERY */
.slick-next:before, .slick-prev:before {
    content: '' !important;
}

.slick-carousel {
    margin: 20px auto;
    width: 100%;
    margin-top: 35px;
}

@media (max-width: 1024px) {
    .slick-carousel {
        width: 95%;
    }
}

@media (max-width: 425px) {
    .slick-carousel {
        width: 88%;
    }
}

.slick-carousel div {
    text-align: center;
    position: relative;
}

.slick-carousel img {
    border-radius: 20px;
    cursor: pointer;
}

.carousel-img {
    width: 100%;
    aspect-ratio: 6 / 7;
    overflow: hidden;
    margin: 0 8px;
}

.carousel-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.modal-content {
    border-radius: var(--bordes) !important;
}

.modal-open {
    overflow: auto !important;
    padding-right: 0 !important
}

.btn-close {
    color: var(--color-guinda) !important;
}
/* FIN GALLERY */


/* INICIO BOTON WHATSAPP */
.whatsapp-float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 20px;
    right: 20px;
    background-color: #25D366;
    color: white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
    text-decoration: none;
    transition: transform 0.3s ease-in-out;
}

.whatsapp-float:hover {
    transform: scale(1.1);
}
/* FIN BOTON WHATSAPP */


/* INICIO FOOTER */
footer {
    background-color: var(--color-guinda);
    color: white;
}

footer a {
    color: white !important;
}
/* FIN FOOTER */